# from http://goldmann.fedorapeople.org/package_review/jboss-sasl/1/jboss-sasl.spec
%global namedreltag .Beta1
%global namedversion %{version}%{?namedreltag}

Name:             jboss-sasl
Version:          1.0.0
Release:          %mkrel 0.1%{namedreltag}.1
Summary:          SASL Provider for J2SE
Group:            Development/Java
License:          LGPLv2+
URL:              https://github.com/jboss-remoting/jboss-sasl

# git clone git://github.com/jboss-remoting/jboss-sasl.git
# cd jboss-sasl/ && git archive --format=tar --prefix=jboss-sasl-1.0.0.Beta1/ 1.0.0.Beta1 | xz > ../jboss-sasl-1.0.0.Beta1.tar.xz
Source0:          %{name}-%{namedversion}.tar.xz

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-injection-plugin
BuildRequires:    jboss-parent
BuildRequires:    jboss-logging
BuildRequires:    jboss-logging-tools

Requires:         jboss-logging
Requires:         jboss-logging-tools
Requires:         jpackage-utils
Requires:         java

%description
This package contains SASL Provider for J2SE

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build
mvn-rpmbuild install javadoc:aggregate

%install
rm -fr %buildroot
# JAR
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
cp -p target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom

# DEPMAP
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc

%files javadoc
%{_javadocdir}/%{name}



%changelog
* Thu Aug 11 2011 dmorgan <dmorgan> 1.0.0-0.1.Beta1.1.mga2
+ Revision: 132704
- Clean spec file

  + gil <gil>
    - imported package jboss-sasl


* Fri Aug 05 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-0.1.Beta1
- Initial packaging

